Read Point Cloud Data by ROS (voxl-dfs-server, voxl_mpa_to_ros, MV SDK)



  • Hi
    Do you plan to include the interface for voxl-dfs-server in the voxl_mpa_to_ros?

    7a5c73d4-70aa-440d-995c-aea4e63feca4-image.png


    On the other hand, I try to use the voxl-camera-server + voxl_mpa_to_ros + dfs_ros_example(https://github.com/ATLFlight/dfs-ros-example) to get the point cloud data for ROS.

    The dfs_ros_example requires mvDFS.h. Therefore MV SDK needs to be installed. For your info, I'm developing ROS applications in a docker container deployed on VOXL.
    But I met the following issure:

    root@apq8096:~/yoctohome# dpkg -i mv_1.2.13_8x74.deb 
    dpkg: error processing archive mv_1.2.13_8x74.deb (--install):
     package architecture (armhf) does not match system (arm64)
    Errors were encountered while processing:
     mv_1.2.13_8x74.deb
    

    However, I can see the MV SDK is preinstalled when I flash the system image 3.2.0.
    2f992d85-4389-4b23-81a1-d766353c9a54-image.png
    How do you manage to install it? I want to install it again in the docker container.


    My current environment:
    System Image 3.2.0 + Docker(Ubuntu18.04, ROS melodic)

    yocto:~# opkg list-installed | grep "libmodal"
    libmodal_json - 0.3.4
    libmodal_pipe - 1.7.9
    yocto:~# opkg list-installed | grep "voxl"
    libvoxl_io - 0.5.4
    voxl-camera-server - 0.5.5
    voxl-dfs-server - 0.0.7
    voxl-docker-support - 1.1.1
    voxl-imu-server - 0.7.8
    voxl-mpa-tools - 0.1.6
    voxl-nodes - 0.1.2
    voxl-qvio-server - 0.2.1
    voxl-streamer - 0.2.1
    voxl-utils - 0.5.9
    voxl-vision-px4 - 0.8.1
    

Log in to reply